﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Threading;

namespace ConsoleTestMySQLEF6
{
    public class InsertSampleData
    {        
        public static void InsertPersons()
        {
            Thread.CurrentThread.CurrentCulture = new CultureInfo("fr-FR");
            var person_0 = new Person
            {
                FirstName = "Alfred",
                LastName = "Schmoll",
                BirthDate = Convert.ToDateTime("12/03/1960")
            };

            person_0.Phones = new List<Phone>();
            var phone0 = new Phone { Type = "Home", Number = " 917 33 8745" };
            person_0.Phones.Add(phone0);
            var phone1 = new Phone { Type = "Work", Number = "315 67 8954" };
            person_0.Phones.Add(phone1);

            var person_1 = new Person
            {
                FirstName = "Billy",
                LastName = "The Kid",
                BirthDate = Convert.ToDateTime("27/02/1865")
            };

            var person_2 = new Person
            {
                FirstName = "Bob",
                LastName = "Hoover",
                BirthDate = Convert.ToDateTime("10/08/1925")
            };

            person_2.Phones = new List<Phone>();
            var phone2 = new Phone { Type = "Mobile", Number = " 888 33 8745" };
            person_2.Phones.Add(phone2);
            var phone3 = new Phone { Type = "Office", Number = "615 97 8954" };
            person_2.Phones.Add(phone3);

            using (var context = new MyContext())
            {
                context.Database.Log = Console.Write;
                context.Configuration.LazyLoadingEnabled = false;
                try
                {
                    context.Persons.Add(person_0);
                    Console.WriteLine("Person 0 added.");
                }
                catch (Exception ex)
                {
                    Console.WriteLine("----Exception Inserting 0----");
                    Console.WriteLine(ex.Message);
                    Console.WriteLine(ex.InnerException);
                }
                try
                {
                    context.Persons.Add(person_1);
                    Console.WriteLine("Person 1 added.");
                }
                catch (Exception ex)
                {
                    Console.WriteLine("----Exception Inserting 1----");
                    Console.WriteLine(ex.Message);
                    Console.WriteLine(ex.InnerException);
                }
                try
                {
                    context.Persons.Add(person_2);
                    Console.WriteLine("Person 2 added.");
                }
                catch (Exception ex)
                {
                    Console.WriteLine("----Exception Inserting 2----");
                    Console.WriteLine(ex.Message);
                    Console.WriteLine(ex.InnerException);
                }
                try
                {
                    context.SaveChanges();
                    Console.WriteLine("Persons Saved!");
                    Console.WriteLine("");
                }
                catch (Exception ex)
                {
                    Console.WriteLine("----Exception in InsertSampleData----");
                    Console.WriteLine(ex.Message);
                    Console.WriteLine(ex.InnerException);
                }
            }
        }
    }
}
