﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleTestMySQLEF6
{
    internal class Program
    {        
        private static void Main(string[] args)
        {
            Database.SetInitializer<MyContext>(new CreateDatabaseIfNotExists<MyContext>());
            Console.WriteLine(" ------------- Connected ------------------");

            //InsertSampleData.InsertPersons();

            using (var context = new MyContext())
            {
                //context.Configuration.LazyLoadingEnabled = false;

                try
                {
                    var allPersons = context.Persons
                                            .Include(d => d.Phones);

                    //var allPersons = (from d in context.Persons
                    //                 select d).ToList();


                    foreach (var aPerson in allPersons)
                    {
                        Console.WriteLine(aPerson.FirstName + " " + aPerson.LastName + " has " + aPerson.Phones.Count +
                                          " phones.");
                        if (aPerson.Phones.Count != 0)
                        {
                            foreach (var phone in aPerson.Phones)
                            {
                                Console.WriteLine(" ------------- " + phone.Type + " " + phone.Number);
                            }
                        }

                        Console.WriteLine("");
                    }
                }
                catch (Exception ex)
                {
                    Console.WriteLine(ex.InnerException);
                }

            }

            Console.ReadLine();


        }
        
    }
}
